// DS1820_Address
// IDE 1.8.5
// Adapted and modified by Alberto Villalobos (IDE 1.8.5)
// References:
// 1. http://cetroniconline.blogspot.com/2014/07/tutorial-arduino-iv-sensor-de.html?m=1

#include <OneWire.h>
#include <DallasTemperature.h>

#define ONE_WIRE_BUS 4
OneWire oneWire(ONE_WIRE_BUS);
DallasTemperature sensores(&oneWire);
DeviceAddress Sensor;

void setup(void)
{
  Serial.begin(9600);
  Serial.println("Address Sensor DS18B20:");
  sensores.begin();
  
  if (!sensores.getAddress(Sensor, 0)) 
  
  //If it is not possible to determine the address gives us an error message
    Serial.println("Unable to find sensor address.");
}

//Create the show Address function
void Mostrar_Direccion(DeviceAddress direccion)
{
  
  for (uint8_t i = 0; i < 8; i++) 
  {
    
    Serial.print("0x"); 
     if (direccion[i] < 16) Serial.print("0");
    Serial.print(direccion[i], HEX);//Usamos formato Hexadecimal
  }
}

void loop(void)
{ 
  Serial.print("Address: ");
  Mostrar_Direccion(Sensor);
  Serial.println();
  delay(5000);
}

